# $Id: Makefile,v 1.2 2002/05/23 22:09:05 ianmacd Exp $

ifdef ROOT
  PREFIX := --prefix=$(ROOT)
endif

docfiles	= google.html google.3

all:		install

install:	setup docs
		ruby install.rb install

setup:		config.save
		ruby install.rb setup

config config.save:
		ruby install.rb config $(PREFIX)

docs:		$(docfiles)

google.html:	lib/google.rb
		rd2 lib/google.rb > google.html

google.3:	lib/google.rb
		rd2 -rrd/rd2man-lib.rb lib/google.rb > google.3
clean:
		-rm -f $(docfiles) config.save InstalledFiles
